%define name	rtmpdump
%define version	2.4

%define major	1
%define libname	%mklibname rtmp %major
%define devname	%mklibname rtmp -d


Summary:	Toolkit for RTMP streams
Name:		%{name}
Version:	%{version}
Release:	%mkrel 4
URL:		http://rtmpdump.mplayerhq.hu/
Source:		http://rtmpdump.mplayerhq.hu/download/%name-%version.tar.xz

Patch0:		rtmpdump-2.4-mga-pkgconfig-private.patch
Patch1:		rtmpdump-2.4-mga-no-sbindir.patch
Patch2:		rtmpdump-gnutls.patch
License:	GPLv2+
Group:		Video
BuildRoot:	%{_tmppath}/%{name}-root
BuildRequires:	zlib-devel
BuildRequires:	openssl-devel

%description
rtmpdump is a toolkit for RTMP streams.


%package -n %libname
Summary:	Shared library: librtmp
Group:		System/Libraries

%description -n %libname
Shared library for handling RTMP streams.


%package -n %devname
Summary:	Development files for librtmp
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	rtmp-devel = %{version}-%{release}
Provides:	librtmp-devel = %{version}-%{release}

%description -n %devname
The development files that are needed to build software depending
on librtmp.

%prep
%setup -q
%apply_patches

%build
%make XCFLAGS="%optflags" LDFLAGS="%ldflags" \

%install
rm -rf %{buildroot}
%makeinstall_std prefix=%{_prefix} libdir=%{_libdir} mandir=%{_mandir}
rm %{buildroot}%{_libdir}/librtmp.a

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README ChangeLog
%{_bindir}/rtmpdump
%{_bindir}/rtmpgw
%{_bindir}/rtmpsrv
%{_bindir}/rtmpsuck
%{_mandir}/man1/rtmpdump.1*
%{_mandir}/man8/rtmpgw.8*

%files -n %libname
%defattr(-,root,root)
%{_libdir}/librtmp.so.%{major}*

%files -n %devname
%defattr(-,root,root)
%dir %{_includedir}/librtmp
%{_includedir}/librtmp/*.h
%{_libdir}/librtmp.so
%{_libdir}/pkgconfig/librtmp.pc
%{_mandir}/man3/librtmp.3*


%changelog
* Mon Mar 08 2021 tex - 2.4-4pclos2021
- rebuild against updates

* Sat Jul 27 2019 tex - 2.4-3pclos2019
- rebuild against updates

* Wed Jan 16 2019 tex - 2.4-2pclos2019
- rebuild against updates

* Sat Mar 05 2016 bb <bb> 2.4.0-1pclos2016
- rebuild openssl

* Fri Apr 24 2014 bb <bb> 2.4.0-0.2pclos2014
- rebuild openssl

* Fri Jan 31 2014 bb <bb> 2.4-0-0.1pclos2014
- update from git 2014-01-31

